<!DOCTYPE html>
<html>

<head>
    <title>Pizza365.v1.9</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- font -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
    <script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>
    <script
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyB41DRUbKWJHPxaFjMAwdrzWzbVKartNGg&callback=initMap&v=weekly"
        defer></script>
    <!---script, css -->
    <link rel="stylesheet" href="styles_properties_detail.css" />


</head>

<body>
    <!-- header -->
    <div class="container-fluid ">
        <div class="row">
            <div class="col-12 ">
                <div id="navbar2" class="navbar navbar-expand-lg border border-red fixed-top  navbar-light ">
                    <span class="navbar-brand mb-0 h1"></span>
                    <div class="collapse navbar-collapse" id="navbarContent">
                        <ul class="navbar-nav nav-fill w-100">
                            <li class="nav-item">
                                <a href="#">Home</a>
                            </li>
                            <li class="nav-item">
                                <a href="#">About</a>
                            </li>
                            <li class="nav-item">
                                <a href="#">Properties</a>
                            </li>
                            <li class="nav-item">
                                <a href="#">Pages</a>
                            </li>
                            <li class="nav-item">
                                <a href="#">Agency</a>
                            </li>
                            <li class="nav-item">
                                <a href="#">Blog</a>
                            </li>
                            <li class="nav-item">
                                <a href="#">Contact</a>
                            </li>
                        </ul>

                    </div>
                    <div class="content-right">
                        <div class="avatar">
                        </div>
                        <div class="add-property">
                            <button>Add Property</button>
                        </div>

                    </div>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarContent"
                        aria-controls="navbarContent" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                </div>
                <div class=" header-container">
                    <div class="row">
                        <div class="col-12">
                            <div id="navbar1"
                                class="navbar navbar-expand-lg border border-red fixed-top  navbar-light ">
                                <span class="navbar-brand mb-0 h1"></span>
                                <div class="collapse navbar-collapse" id="navbarContent">
                                    <ul class="navbar-nav nav-fill w-100">
                                        <li class="nav-item">
                                            <a href="#">Home</a>
                                        </li>
                                        <li class="nav-item">
                                            <a href="#">About</a>
                                        </li>
                                        <li class="nav-item">
                                            <a href="#">Properties</a>
                                        </li>
                                        <li class="nav-item">
                                            <a href="#">Pages</a>
                                        </li>
                                        <li class="nav-item">
                                            <a href="#">Agency</a>
                                        </li>
                                        <li class="nav-item">
                                            <a href="#">Blog</a>
                                        </li>
                                        <li class="nav-item">
                                            <a href="#">Contact</a>
                                        </li>
                                    </ul>

                                </div>
                                <div class="content-right">
                                    <div class="avatar">
                                    </div>
                                    <div class="add-property">
                                        <button>Add Property</button>
                                    </div>

                                </div>
                                <button class="navbar-toggler" type="button" data-toggle="collapse"
                                    data-target="#navbarContent" aria-controls="navbarContent" aria-expanded="false"
                                    aria-label="Toggle navigation">
                                    <span class="navbar-toggler-icon"></span>
                                </button>

                            </div>
                        </div>

                        <div class="header-content col-12">

                            <div class="row">

                                <div class="col-12 header-content-center ">
                                    <div class="p-up">Our Properties </div>
                                    <div class="p-center">

                                        Projects Details

                                    </div>
                                    <div class="p-down">


                                        Huge number of propreties availabe here for buy and sell
                                        also you can find here co-living property as you like

                                    </div>

                                </div>

                            </div>

                        </div>

                    </div>

                </div>

            </div>
        </div>

    </div>
    <!--Content-->
    <div class="container body-container" style="padding: 120px 0 50px 0;">
        <div class="row property-detail">
            <div class="property-description col-12">
                <div class="image">

                </div>
                <div class="title" id="title-project">

                </div>
                <div class="address" id="address-project">

                </div>
                <div class="description" id="description-project">
                    <p></p>

                </div>

            </div>
            <div class="property-amenities col-12">
                <div class="amentity-title">
                    Property Amentities
                </div>
                <div class="amentity-content row">


                </div>


            </div>
            <div class="property-nearby-places col-12">
                <div class="nearby-palces-title">
                    Nearby Places
                </div>
                <div class="naerby-places row">

                </div>

            </div>
            <div class="contact col-12">
                <div class="contact-title">
                    Leave A Message
                </div>
                <div class="contact-content row">

                    <div class="col-6 form-group">
                        <input placeholder="First Name" class="form-control" />
                    </div>
                    <div class="col-6 form-group">
                        <input placeholder="Last Name " class="form-control" />

                    </div>


                    <div class="col-6 form-group">
                        <input placeholder="Phone number" class="form-control" />
                    </div>
                    <div class="col-6 form-group">
                        <input placeholder="Email Address" class="form-control" />

                    </div>

                    <div class="col-12 form-group">
                        <textarea placeholder="Message" class="form-control"></textarea>
                    </div>
                    <div class="col-12 btn-contact ">
                        <button>Contact Us</button>
                    </div>

                </div>
                <div>
                    <div id="floating-panel">
                        <input id="latlng" type="text" value="40.714224,-73.961452" />
                        <input id="submit" type="button" value="Reverse Geocode" />
                    </div>
                    <div id="map"></div>
                </div>



            </div>


        </div>


    </div>
    <div class="container-fluid ">
        <div class="row">
            <div class="col-12 ">
                <div class=" contact-container">
                    <div class="row">
                        <div class="contact-content col-12">
                            <div class="row">
                                <div class="col-12 header-content-left ">
                                    <div class="p-up">A new way to find Properties </div>
                                    <div class="p-center">
                                        Find your Most Suitable Property
                                    </div>
                                    <div class="p-down">

                                        Huge number of propreties availabe here for buy, and sell, also you
                                        can find here co-living property, So you have lots of opportunity

                                    </div>
                                    <div class="button-contact">
                                        <button>Contact</button>

                                    </div>
                                </div>
                                <div class="col-12 header-content-right">

                                </div>
                            </div>

                        </div>

                    </div>

                </div>

            </div>
        </div>

    </div>

    <div class="container-fluid p-5 container-footer">
        <div class="row text-center">
            <div class="col-sm-12">
                <h4 class="m-2">Footer</h4>
                <button id='btn-footer' class="footer"><a href="#" class="a-footer"><i class="fa fa-arrow-up"></i>To the
                        top</a></button>
                <div class="m-2">
                    <i class="fa fa-facebook-official w3-hover-opacity"></i>
                    <i class="fa fa-instagram w3-hover-opacity"></i>
                    <i class="fa fa-snapchat w3-hover-opacity"></i>
                    <i class="fa fa-pinterest-p w3-hover-opacity"></i>
                    <i class="fa fa-twitter w3-hover-opacity"></i>
                    <i class="fa fa-linkedin w3-hover-opacity"></i>
                </div>
            </div>
        </div>
    </div>

</body>
<script>
    // When the user scrolls down 20px from the top of the document, slide down the navbar
    window.onscroll = function () { scrollFunction() };

    function scrollFunction() {
        if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
            document.getElementById("navbar2").style.top = "0";
            document.getElementById("navbar1").style.top = "-70px";

        } else {
            document.getElementById("navbar2").style.top = "-70px";
            document.getElementById("navbar1").style.top = "0";

        }

    }
    onPageLoading();
    function initMap() {
        const map = new google.maps.Map(document.getElementById("map"), {
            zoom: 8,
            center: { lat: 40.731, lng: -73.997 },
        });
        const geocoder = new google.maps.Geocoder();
        const infowindow = new google.maps.InfoWindow();

        document.getElementById("submit").addEventListener("click", () => {
            geocodeLatLng(geocoder, map, infowindow);
        });
    }

    function geocodeLatLng(geocoder, map, infowindow) {
        const input = document.getElementById("latlng").value;
        const latlngStr = input.split(",", 2);
        const latlng = {
            lat: parseFloat(latlngStr[0]),
            lng: parseFloat(latlngStr[1]),
        };

        geocoder
            .geocode({ location: latlng })
            .then((response) => {
                if (response.results[0]) {
                    map.setZoom(11);

                    const marker = new google.maps.Marker({
                        position: latlng,
                        map: map,
                    });

                    infowindow.setContent(response.results[0].formatted_address);
                    infowindow.open(map, marker);
                } else {
                    window.alert("No results found");
                }
            })
            .catch((e) => window.alert("Geocoder failed due to: " + e));
    }

    window.initMap = initMap;





    var gProjectId = '';
    var gUtilities = [];
    var gRegionLink = [];


    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {

    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
        getParamIdOnUrl();
        if (!gProjectId) {
            alert("Missing parameter")
        } else {

            callApiToGetProject(gProjectId).then((res) => {
                gProject = res;
                gUtilities = res.utilities2;
                gRegionLink = res.regionLink2

                console.log('check utiliti from server', gRegionLink);
                displayPropertyAmentities(gUtilities);
                displayPropertyNearby(gRegionLink);
                displayData(gProject);


            }).catch((err) => {
                console.log(err)
            })
            // callApiToGetProject(gProjectId).then((res) => {
            //     gProject = res;
            //     console.log('check project from server', gProject);
            //     // $("#title-project").html(gRealestate.id);

            // }).catch((err) => {
            //     console.log(err)
            // });
        }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getParamIdOnUrl() {

        var url_string = window.location.href;
        var url = new URL(url_string);
        gProjectId = url.searchParams.get("id");
        console.log('check id', gProjectId)

    }
    function callApiToGetProject(id) {
        return new Promise((resolve, reject) => {
            $.ajax({
                url: `http://localhost:8080/project/detail/${id}`,
                type: "GET",
                dataType: "json",
                success: function (res) {
                    resolve(res)

                },
                error: function (err) {
                    reject(err)
                }
            })

        })
    }
    function displayData(paramProject) {
        $("#title-project").html(paramProject.name);
        $("#address-project").html(paramProject.address);
        $("#description-project").html(paramProject.description);

    }
    function displayPropertyAmentities(paramUtility) {
        if (gUtilities && gUtilities.length > 0) {
            for (let bI = 0; bI < gUtilities.length; bI++) {

                $(".amentity-content").append(
                    `
                    <div class="amentity-child col-4">
                        <div class="icon">
                            <i class="fas fa-check-circle"></i>
                        </div>
                        <div class="amentity">
                            ${gUtilities[bI].name}
                        </div>
                    </div>
                     `

                )

            }
        }

    }
    function displayPropertyNearby(paramNearby) {
        if (paramNearby && paramNearby.length > 0) {
            for (let bI = 0; bI < paramNearby.length; bI++) {

                $(".naerby-places").append(
                    `
                    <div class="place col-4">
                       ${paramNearby[bI].name}
                    </div>
                     `

                )

            }
        }

    }
    // function callApiToGetProject(id) {
    //     return new Promise((resolve, reject) => {
    //         $.ajax({
    //             url: `http://localhost:8080/project/detail/${id}`,
    //             type: "GET",
    //             dataType: "json",
    //             success: function (res) {
    //                 resolve(res)

    //             },
    //             error: function (err) {
    //                 reject(err)
    //             }
    //         })

    //     })
    // }

    //hàm gọi api load danh sách realestate từ server khi tải trang
    // function onPageLoading() {
    //     return new Promise((resolve, reject) => {
    //         $.ajax({
    //             url: "http://localhost:8080/realestate/1",
    //             type: "GET",
    //             dataType: "json",
    //             success: function (res) {
    //                 resolve(res)

    //             },
    //             error: function (err) {
    //                 reject(err)
    //             }
    //         })

    //     })

    // }
    function loadDataFromServer() {
        return new Promise((resolve, reject) => {
            $.ajax({
                url: "http://localhost:8080/realestate",
                type: "GET",
                dataType: "json",
                success: function (res) {
                    resolve(res)

                },
                error: function (err) {
                    reject(err)
                }
            })

        })

    }

</script>



</html>